# MRUCacheEntryMetadata (ARX Developer Documentation)

org.deidentifier.arx.framework.check.history

## Class MRUCacheEntryMetadata

- java.lang.Object
- - org.deidentifier.arx.framework.check.history.MRUCacheEntryMetadata

-     public class MRUCacheEntryMetadata
      extends java.lang.Object

  Data associated with a cache entry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `id` Id
    `int` | `level` Level
    `int[]` | `transformation` Transformation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MRUCacheEntryMetadata(Transformation transformation)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transformation

          public final int[] transformation

      Transformation

    - #### level

          public final int level

      Level

    - #### id

          public final long id

      Id

  - ### Constructor Detail

    - #### MRUCacheEntryMetadata

          public MRUCacheEntryMetadata(Transformation transformation)

      Parameters:
        `transformation` -